OpenCV fino 3.3 utils.cpp cv::imread Image File buffer overflow

CVSS Punteggio Meta TempExploit Prezzo Attuale (≈)Punteggio di interesse CTI
6.9$0-$5k0.00

Un punto di criticita di livello critico è stato rilevato in OpenCV fino 3.3 (Image Processing Software). Interessato da questa vulnerabilità è la funzione cv::imread del file utils.cpp. Per causa della manipolazione come parte di Image File per mezzo di una vulerabilità di classe buffer overflow. Questo ha effetti su riservatezza, integrità e disponibilità.

Data di scoperta del problema 04/08/2017. La vulnerabilità è stata pubblicata in data 07/08/2017 (Website) (non definito). L'advisory è scaricabile da github.com. Questo punto di criticità è identificato come CVE-2017-12606. L'attacco si effettua con la rete. Per l'uso non è richiesta un'autentificazione. Nessun metodo di utilizzo sui dettagli tecnici disponibili.

Per almeno 2 giorni, questa vulnerabilità è stata classificata come 0-day exploit. Per lo scanned Nessus, è disponibile un plugin, numero ID 103575 (Debian DLA-1117-1 : opencv security update), che può aiutare a determinare l'esistenza della criticità nel sistema analizzato.

L'aggiornamento elimina questa vulnerabilità. Una possibile soluzione è stata pubblicata 2 mesi dopo la pubblicazione della vulnerabilità.

La vulnerabilità è documentata anche nei database Tenable (103575).

Prodottoinfo

Genere

Nome

Versione

Licenza

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vettore: 🔍
VulDB Affidabilità: 🔍

CVSSv3info

VulDB Punteggio meta-base: 7.0
VulDB Punteggio Meta Temp: 6.9

VulDB Punteggio di base: 5.3
VulDB Punteggio temporaneo: 5.1
VulDB Vettore: 🔍
VulDB Affidabilità: 🔍

NVD Punteggio di base: 8.8
NVD Vettore: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VettoreComplessitàAutenticazioneRiservatezzaIntegritàDisponibilità
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare
sbloccaresbloccaresbloccaresbloccaresbloccaresbloccare

VulDB Punteggio di base: 🔍
VulDB Punteggio temporaneo: 🔍
VulDB Affidabilità: 🔍

NVD Punteggio di base: 🔍

Exploitinginfo

Classe: Buffer overflow
CWE: CWE-787 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Locale: No
Remoto: Si

Disponibilità: 🔍
Stato: Non definito

EPSS Score: 🔍
EPSS Percentile: 🔍

Previsione dei prezzi: 🔍
Preventivo attuale: 🔍

0-Daysbloccaresbloccaresbloccaresbloccare
Oggisbloccaresbloccaresbloccaresbloccare

Nessus ID: 103575
Nessus Nome: Debian DLA-1117-1 : opencv security update
Nessus File: 🔍
Nessus Rischio: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 65163
OpenVAS Nome: Debian LTS Advisory ([SECURITY] [DLA 1117-1] opencv security update)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Nome: 🔍

Intelligence Sulle Minacceinfo

Interesse: 🔍
Attori Attivi: 🔍
Gruppi APT attivi: 🔍

Contromisureinfo

Raccomandazione: Upgrade
Stato: 🔍

Tempo di reazione: 🔍
0 giorni di tempo: 🔍
Tempo di esposizione: 🔍

Sequenza temporaleinfo

04/08/2017 🔍
06/08/2017 +2 giorni 🔍
06/08/2017 +0 giorni 🔍
07/08/2017 +1 giorni 🔍
07/08/2017 +0 giorni 🔍
29/09/2017 +53 giorni 🔍
02/10/2017 +3 giorni 🔍
15/12/2022 +1900 giorni 🔍

Fontiinfo

Advisory: 9309
Stato: Non definito

CVE: CVE-2017-12606 (🔍)

Voceinfo

Data di creazione: 07/08/2017 12:51
Aggiornamenti: 15/12/2022 08:56
I cambiamenti: 07/08/2017 12:51 (74), 04/11/2019 08:52 (3), 15/12/2022 08:53 (4), 15/12/2022 08:56 (1)
Completa: 🔍
Cache ID: 3:2FD:40

Discussione

Ancora nessun commento. Le Lingue: it + en.

Effettua il login per commentare.

Do you want to use VulDB in your project?

Use the official API to access entries easily!